
logfile = ibrdtn/log/ibrdtn.log

limit_bundles_in_transit = 25

fragmentation = yes

limit_payload = 10K

blob_path = /tmp

storage_path = ibrdtn/bundles

storage = default

use_persistent_bundlesets = yes

discovery_address = 224.0.0.142

discovery_interval = 5

discovery_version = 2

discovery_announce = 1

discovery_crosslayer = yes

net_interfaces = lan1

net_lan1_type = tcp				# we want to use UDP as protocol
net_lan1_interface = eth0			# listen on interface eth0 
net_lan1_port = 4556				# with port 4556 (default)

routing = default

routing_forwarding = yes

routing_prefer_direct = yes

                                      #increased on an encounter
                                      #first encounter
                                      #predictabilities are forgotten
                                      #age
                                      #encounters
                                      #executed
                                      #strategy

security_level = 7

security_bab_default_key = /etc/ibrdtn/bpsec/default-bab-key.mac

security_path = /etc/ibrdtn/bpsec

generate_dh_params = yes

security_certificate = /etc/ibrdtn/tls/local.crt

security_key = /etc/ibrdtn/tls/local.key

security_trusted_ca_path = /etc/ibrdtn/certs

dht_enabled = yes

